MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
PlaylistQueue.hxx File Reference

Glue between playlist plugin and the play queue. More...

Go to the source code of this file.

## Functions
void | playlist_load_into_queue (const char *uri, SongEnumerator &e, unsigned start_index, unsigned end_index, playlist &dest, PlayerControl &pc, const SongLoader &loader)
| Loads the contents of a playlist and append it to the specified play queue. More...
void | playlist_open_into_queue (const char *uri, unsigned start_index, unsigned end_index, playlist &dest, PlayerControl &pc, const SongLoader &loader)
| Opens a playlist with a playlist plugin and append to the specified play queue. More...

## Detailed Description

Glue between playlist plugin and the play queue.

Definition in file PlaylistQueue.hxx.

## Function Documentation

void playlist_load_into_queue | ( | const char * | uri,
|  | SongEnumerator & | e,
|  | unsigned | start_index,
|  | unsigned | end_index,
|  | playlist & | dest,
|  | PlayerControl & | pc,
|  | const SongLoader & | loader
| ) |  |

Loads the contents of a playlist and append it to the specified play queue.

Parameters

  uri | the URI of the playlist, used to resolve relative song URIs
  start_index | the index of the first song
  end_index | the index of the last song (excluding)

void playlist_open_into_queue | ( | const char * | uri,
|  | unsigned | start_index,
|  | unsigned | end_index,
|  | playlist & | dest,
|  | PlayerControl & | pc,
|  | const SongLoader & | loader
| ) |  |

Opens a playlist with a playlist plugin and append to the specified play queue.